(800) 273-9536

Starkey Halo & TruLink

Starkey Hearing Aids

Made for iPhone

Connect directly to your iPhone, iPad, iPod touch and Apple Watch via the TruLink app.

Halo 2, Starkey's newest Made for iPhone® hearing aids help you stay connected to the people and things you love most. With our easy-to-use TruLink™ Hearing Control app, Halo 2 is engineered to work specifically with your iPhone, iPad®, iPod touch® and Apple Watch®. And with new processing power in Halo 2, you'll experience music in a whole new way with pure, refined sound quality.

TruLink control app

Go anywhere and do everything with our breakthrough Made for iPhone® Hearing Aids and TruLink™, the easy-to-use hearing control app. These advanced new hearing aids enhance every listening experience — and connect easily to your iPhone®, iPad®, and iPod touch® via the TruLink app. Enjoy phone calls, music, videos and more streamed directly into your ears with pristine sound quality — no background buzzing and whistling.

Apple compatibility

Halo 2 and Halo Hearing Aids and the TruLink app are compatible with the following Apple devices: iPhone 6s Plus, iPhone 6s, iPhone 6 Plus, iPhone 6, iPhone 5s, iPhone 5c, iPhone 5, iPhone 4s, iPad Air 2, iPad Air, iPad (4th generation), iPad mini 3, iPad mini with Retina display, iPad mini, iPod touch (5th generation) and Apple Watch. Use of Apple Watch requires iPhone 5 or later.

Halo Hearing Aids and the TruLink app are compatible with iOS 9.2.1, 9.2, 9.1, 9.0.2, 9.0.1, 9, 8.4.1, 8.4, 8.3, 8.2, 8.1.3, 8.1.2, 8.1.1, 8.1, 8, 7.1.2, 7.1.1 and 7.1.

For best performance, we recommend using iOS 9.2.1 or higher and TruLink 2.2.

You may need to re-pair your hearing aids to your iOS device after you update iOS.

Android compatibility

Halo 2 and Halo Hearing Aids and the TruLink app are compatible with the following Android products: Google Nexus™ 6P, Google Nexus™ 5X, Samsung Galaxy S® 6 Edge Plus, Samsung Galaxy S® 6 Edge, Samsung Galaxy S® 6, Samsung Galaxy S® 5, Samsung Galaxy S® 4, Samsung Galaxy Note® 5, Samsung Galaxy Note® 4, Samsung Galaxy Note® 3, HTC One® M8 and HTC One® M7. It is recommended that Android users use operating system 6.0 for Nexus 6P and Nexus 5X phones. It is recommended that Android users use operating system 5.1.1 for Galaxy S6 Edge Plus and Galaxy Note 5 phones. It is recommended that Android users use operating system 4.4.4 for Galaxy S5 and S4 phones and operating system 5.0 for Galaxy S6, HTC One M8 and M7, and Note 4 and Note 3. We are constantly evaluating Android products and their compatibility with Halo 2 and Halo. Due to the complex nature of the Android platform and many different types of products utilizing this platform, we test each product separately and will provide compatibility information as we complete our rigorous testing. Remember to check this page for updated Android compatibility information.